openshot::InvalidFile Class Reference

Exception for files that can not be found or opened. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::InvalidFile:

## Public Member Functions

| InvalidFile (std::string message, std::string file_path)
| Constructor. More...
virtual | ~InvalidFile () noexcept
Public Member Functions inherited from openshot::BaseException
| BaseException (std::string message)
virtual const char * | what () const noexcept
virtual | ~BaseException () noexcept

## Public Attributes

std::string | file_path

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
std::string | m_message

## Detailed Description

Exception for files that can not be found or opened.

Definition at line 173 of file Exceptions.h.

## Constructor & Destructor Documentation

## InvalidFile()

openshot::InvalidFile::InvalidFile | ( | std::string | message,
|  | std::string | file_path
| ) |  |

inline

Constructor.

Parameters

  message | A message to accompany the exception
  file_path | The input file being processed

Definition at line 183 of file Exceptions.h.

## ~InvalidFile()

virtual openshot::InvalidFile::~InvalidFile | ( |  | ) |

inline virtual noexcept

Definition at line 185 of file Exceptions.h.

## Member Data Documentation

## file_path

std::string openshot::InvalidFile::file_path

Definition at line 176 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h